Page MenuHomePhabricator

Support sortable columns in tables
Closed, ResolvedPublic8 Estimated Story Points

Description

It should be possible to make columns in tables be sortable.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2015, 5:17 PM
Jdforrester-WMF triaged this task as Medium priority.Apr 21 2015, 5:46 PM
Jdforrester-WMF set Security to None.
Elitre added a subscriber: Elitre.Nov 2 2015, 4:17 PM

Change 266260 had a related patch set uploaded (by Esanders):
TableSorter: Preserve styling in VisualEditor

https://gerrit.wikimedia.org/r/266260

Change 266260 merged by jenkins-bot:
TableSorter: Avoid FOUC and preserve styling in VisualEditor

https://gerrit.wikimedia.org/r/266260

Change 267538 had a related patch set uploaded (by Esanders):
Add controls for wikitable and sortable to table dialog

https://gerrit.wikimedia.org/r/267538

Change 267538 merged by jenkins-bot:
Add controls for wikitable and sortable to table dialog

https://gerrit.wikimedia.org/r/267538

matmarex reopened this task as Open.Feb 8 2016, 3:34 PM
matmarex added a subscriber: matmarex.

The sortable styling patch was reverted in cbe1910f8719fd01ca902810ae9ab73b1256549a (https://gerrit.wikimedia.org/r/#/c/269114/) due to T126007.

I think VE will need to implement some of the tablesorter logic to display the sortable table headings the same as in read mode.

Change 269153 had a related patch set uploaded (by Esanders):
Provide approximate preview of table sort styling

https://gerrit.wikimedia.org/r/269153

Jdforrester-WMF closed this task as Resolved.Apr 3 2016, 12:40 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Re-closing; this task is about being able to add it, not see it.